interface LatestConsistentSnapshotViewOptions {
    datasetId: string;
    tableName: string;
    schema: any;
    bqProjectId?: string;
    useLegacyQuery?: boolean;
}
export declare const latestConsistentSnapshotView: ({ datasetId, tableName, schema, bqProjectId, useLegacyQuery, }: LatestConsistentSnapshotViewOptions) => {
    query: string;
    useLegacySql: boolean;
};
interface buildLatestSnapshotViewQueryOptions {
    datasetId: string;
    tableName: string;
    timestampColumnName: string;
    groupByColumns: string[];
    bqProjectId?: string;
    useLegacyQuery?: boolean;
}
export declare function buildLatestSnapshotViewQuery({ datasetId, tableName, timestampColumnName, groupByColumns, bqProjectId, useLegacyQuery, }: buildLatestSnapshotViewQueryOptions): string;
export {};
